classification
Title: Py Launch Icon
Type: enhancement Stage: resolved
Components: IDLE, Installation, Windows Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Add pyd icon for 3.6
View: 27756
Assigned To: Nosy List: Nils-Hero, eryksun, steve.dower, terry.reedy, zach.ware
Priority: normal Keywords:

Created on 2015-10-20 04:31 by Nils-Hero, last changed 2017-06-06 17:48 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
(py icons, idle) screenshot.png Nils-Hero, 2015-10-20 04:31 list of alternative 16x16 icons for Python
icons.zip Nils-Hero, 2015-10-20 15:35 the current default icons, alternative icons (just 16x16 high color) and icons from which i used parts
py 3.5.0 idle icon.png Nils-Hero, 2015-10-29 10:18
Messages (13)
msg253203 - (view) Author: Nils Lindemann (Nils-Hero) * Date: 2015-10-20 04:31
Hi,

See attached screen for a list of alternative 16x16 icon suggestions to the current launcher symbol, which i dont like (Dudes, rockets are used in wars!). I copied them a few times to show how they look in groups. (while i was at it i also created an icon for idle, see the idle window in the Screenshot).

Actually i wonder why it is necessary at all to use more than the three default icons, but if, then my icons are better. Hopefully i can inspire the designer to do a redesign of the luncher icon :-)

Nils
msg253204 - (view) Author: Nils Lindemann (Nils-Hero) * Date: 2015-10-20 04:58
Hm actually an alternative icon for idle can be useful to separate it from command lines in the task bar. But a special launcher symbol is not necessary in my opinion.
msg253223 - (view) Author: Nils Lindemann (Nils-Hero) * Date: 2015-10-20 15:35
Here is also a zip containing the icons.
msg253224 - (view) Author: Paul Moore (paul.moore) * (Python committer) Date: 2015-10-20 15:38
It's a very personal choice, but I prefer the current icons. I'm -1 on this change.
msg253228 - (view) Author: Nils Lindemann (Nils-Hero) * Date: 2015-10-20 16:08
The icons are not intended to be used instead of the three default icons, please dont, these are just great.

I am just targeting the current launcher symbol:

* It contains a symbol of an instrument which can be used to kill people.
* in the 16x16 icon it is not clear at all what this is. it just looks like a smudge on the icon. When i first saw it i touched it to see if the smudge is on my screen.
* the symbol indicates that one is running the launcher. But thats not true, he is running the process that was launched by the launcher. So if this symbol is used for the exe which is the launcher, ok, but using it for all processes started with it is wrong in my opinion.

The icons for idle are just suggestions, using an alternative icon for idele, as i said, may be helpful to separate idle from command lines.

The alternative icons for the launcher are just thought as source of inspiration. Actually i think launched processes (except maybe idle) should use the standard py exe icon!
msg253229 - (view) Author: Nils Lindemann (Nils-Hero) * Date: 2015-10-20 16:14
let me reformulate it: my main intention is to get rid of the launcher symbol, or at least have a nicer looking symbol, i dont care for the idle symbol.
msg253448 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-10-26 01:35
Rockets are also used to launch communication satellites and scientific research missions.

On Windows, the IDLE icon has the double snake on a white page, while the python icon is the snakes on a dark console window.  They are already well differentiated.

However, the blue and yellow colors of the 16-bit version get darkened when placed in the top title bar of windows, and the snake shape a bit distorted. (idlelib/icons contains icons for both Windows and *nix.) They are even worse on Win10, so I have been thinking about redoing it. I might use your IDLE version to help with a redesign.

If you want the .exe icon changed, try to get support on python-list or python-ideas lists.
msg253455 - (view) Author: Nils Lindemann (Nils-Hero) * Date: 2015-10-26 07:29
it seems i have still not explained my issue in an understandable way: the three first icons in the file list in the screenshot, aka the icons which are used in eg py 3.2, these icons are cool.

the icon i do not like, is the launcher icon which is used in eg py 3.5 and which shows up in the windows task bar when i run python scripts which open a commandline. This is the last icon in the file list in the screenshot.

Im fine with everything else, i always liked the original icons, just the new launcher icon is terrible in my opinion :-(
msg253471 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-10-26 12:57
I am the current IDLE maintainer, so that is my interest.  I am not responsible for the launcher icon and don't care about it either way.  The second one is the one used for IDLE, but Windows has a different format for icons and the little one on the title bar does not look as in the screenshot.  It looks terrible, worse than the launcher icon.  I do not really know why but I want to fix it.
msg253672 - (view) Author: Nils Lindemann (Nils-Hero) * Date: 2015-10-29 10:18
i see now what you mean. I have this icon too (py 3.5.0 idle icon.png). Something is misconfigured with the icons in the python 3.5.0 windows installer, also python files in explorer have no icons.

Thanks for your hint with the python ideas list, i will post a message there.
msg295252 - (view) Author: Nils Lindemann (Nils-Hero) * Date: 2017-06-06 12:25
Two years later: To the dude who removed the rocket from the icons in 3.6: I LOVE YOU!
msg295261 - (view) Author: Eryk Sun (eryksun) * (Python triager) Date: 2017-06-06 13:31
The new launcher icon still has a rocket on it, which I especially like because it's easily distinguished when using the GUI to associate .py[w] scripts. However, it's not the icon used for .py[w] files, so it's rarely seen.
msg295283 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-06-06 17:48
Interestingly, when we were reviewing the icons before contributing them, the rocket was flagged as a potential problem.

We made some tweaks to make it look more like a space shuttle, which we believe most accurately captures the metaphor of "launch" in the most cultures without causing offence :)
History
Date User Action Args
2017-06-06 17:48:19steve.dowersetmessages: + msg295283
2017-06-06 13:31:33eryksunsetstatus: open -> closed

superseder: Add pyd icon for 3.6

nosy: + eryksun
messages: + msg295261
resolution: duplicate
stage: patch review -> resolved
2017-06-06 12:25:27Nils-Herosetmessages: + msg295252
2015-10-29 10:18:15Nils-Herosetfiles: + py 3.5.0 idle icon.png

messages: + msg253672
2015-10-26 12:57:42terry.reedysetmessages: + msg253471
2015-10-26 07:29:05Nils-Herosetmessages: + msg253455
2015-10-26 01:35:50terry.reedysetnosy: + terry.reedy

messages: + msg253448
stage: patch review
2015-10-20 16:14:51Nils-Herosetmessages: + msg253229
2015-10-20 16:08:48Nils-Herosetmessages: + msg253228
2015-10-20 15:44:18paul.mooresetnosy: - paul.moore
2015-10-20 15:41:20tim.goldensetnosy: - tim.golden
2015-10-20 15:38:20paul.mooresetmessages: + msg253224
2015-10-20 15:35:22Nils-Herosetfiles: + icons.zip

messages: + msg253223
2015-10-20 04:58:19Nils-Herosetmessages: + msg253204
2015-10-20 04:31:28Nils-Herocreate